Get the balance for a company
curl --request GET \
--url https://external.pleo.io/v1/companies/{companyId}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/companies/{companyId}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/companies/{companyId}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.pleo.io/v1/companies/{companyId}/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.pleo.io/v1/companies/{companyId}/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external.pleo.io/v1/companies/{companyId}/balance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.pleo.io/v1/companies/{companyId}/balance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"accounts": [
{
"balance": {
"available": {
"currency": "EUR",
"value": 50000
},
"current": {
"currency": "EUR",
"value": 50000
},
"overdraftLimit": {
"currency": "EUR",
"value": 50000
},
"pendingDebits": {
"currency": "EUR",
"value": 50000
},
"usedOverdraft": {
"currency": "EUR",
"value": 50000
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true
}
],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}COMPANY BALANCE API
Get the balance for a company
Fetches the current balance of all accounts for a company.
GET
/
v1
/
companies
/
{companyId}
/
balance
Get the balance for a company
curl --request GET \
--url https://external.pleo.io/v1/companies/{companyId}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/companies/{companyId}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/companies/{companyId}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.pleo.io/v1/companies/{companyId}/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.pleo.io/v1/companies/{companyId}/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external.pleo.io/v1/companies/{companyId}/balance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.pleo.io/v1/companies/{companyId}/balance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"accounts": [
{
"balance": {
"available": {
"currency": "EUR",
"value": 50000
},
"current": {
"currency": "EUR",
"value": 50000
},
"overdraftLimit": {
"currency": "EUR",
"value": 50000
},
"pendingDebits": {
"currency": "EUR",
"value": 50000
},
"usedOverdraft": {
"currency": "EUR",
"value": 50000
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true
}
],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
Identifier of the company for which the balance is being fetched
Response
Current balance for all accounts of the company
Company balance data
Show child attributes
Show child attributes
Was this page helpful?